;-| Super Motions |--------------------------------------------------------
; Self Destruct
[Command]
name = selfdestruct
command = ~D, ~B, F, a

; Explosion
[Command]
name = explosion
command = ~B, F, y+x

;-| Special Motions |------------------------------------------------------
;KOFFING!
[Command]
name = kof
command = y+z

; SmokeScreen
[Command]
name = smokescreen
command = a+b

;Smog A
[Command]
name = smoga
command = a

;Smog B
[Command]
name = smogb
command = b

;Tackle
[Command]
name = tackle
command = F,F

;-| 2/3 Button Combination |-----------------------------------------------
[Command]
name = recovery ;Required (do not remove)
command = a+b
time = 1

;-| Hold Dir |--------------------------------------------------------------
[Command]
name = holdfwd  ;Required (do not remove)
command = /$F
time = 1

[Command]
name = holdback ;Required (do not remove)
command = /$B
time = 1

[Command]
name = holdup   ;Required (do not remove)
command = /$U
time = 1

[Command]
name = holddown ;Required (do not remove)
command = /$D
time = 1


;---------------------------------------------------------------------------
; 2. State entry
; --------------
; This is where you define what commands bring you to what states.
;
; Each state entry block looks like:
;   [State -1]                  ;Don't change this
;   type = ChangeState          ;Don't change this
;   value = new_state_number
;   trigger1 = command = command_name
;   . . .  (any additional triggers)
;
; - new_state_number is the number of the state to change to
; - command_name is the name of the command (from the section above)
; - Useful triggers to know:
;   - statetype
;       S, C or A : current state-type of player (stand, crouch, air)
;   - ctrl
;       0 or 1 : 1 if player has control. Unless "interrupting" another
;                move, you'll want ctrl = 1
;   - stateno
;       number of state player is in - useful for "move interrupts"
;   - movecontact
;       0 or 1 : 1 if player's last attack touched the opponent
;                useful for "move interrupts"
;
; Note: The order of state entry is important.
;   State entry with a certain command must come before another state
;   entry with a command that is the subset of the first.  
;   For example, command "fwd_a" must be listed before "a", and
;   "fwd_ab" should come before both of the others.
;
; For reference on triggers, see CNS documentation.
;
; Just for your information (skip if you're not interested):
; This part is an extension of the CNS. "State -1" is a special state
; that is executed once every game-tick, regardless of what other state
; you are in. 


; Don't remove the following line. It's required by the CMD standard.
[Statedef -1]

;===========================================================================
;Self Destruct
[State -1]
type = ChangeState
value = 600
triggerall = power >= 2000
triggerall = statetype = S
triggerall = command = selfdestruct
trigger1 = var1 = 1

;---------------------------------------------------------------------------
;SMOKESCREEN
[State -1]
type = ChangeState
value = 500
triggerall = command = smokescreen
triggerall = statetype = S
trigger1 = var1 = 1

;---------------------------------------------------------------------------
;Tackle
[State -1]
type = ChangeState
value = 900
triggerall = statetype = S
triggerall = command = tackle
trigger1 = var1 = 1

;---------------------------------------------------------------------------
;SMOG B
[State -1]
type = ChangeState
value = 300
triggerall = command = smogb
;triggerall = command != holddown
triggerall = statetype = S
trigger1 = var1 = 1

;---------------------------------------------------------------------------
;SMOG A
[State -1]
type = ChangeState
value = 200
triggerall = statetype = S
;triggerall = command != holddown
triggerall = command = smoga
trigger1 = var1 = 1

;===========================================================================
;---------------------------------------------------------------------------
;WalkForward
[State -1]
type = ChangeState
value = 20
triggerall = statetype = S
triggerall = var1 = 1
triggerall = stateno != 20
trigger1 = command = holdfwd

;---------------------------------------------------------------------------
;WalkBack
[State -1]
type = ChangeState
value = 21
triggerall = statetype = S
triggerall = var1 = 1
triggerall = stateno != 21
trigger1 = command = holdback
